<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# EDIT                                                             #
# Új adat vagy meglévő szerkesztése                                #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Csak ha sikeresen belépett admin használja!!!
if (!$_SESSION['user']) {
    exit();
}
// Esetszétválaszáts, hogy mik hajtódjanak végre
  switch ($_REQUEST['mode']) {
    case 'mualkotasok': module("edit-mualkotas");break;
    case 'alkotok': module("edit-alkoto");break;  
    case 'helyek': module("edit-adat");break;
    case 'cimek': module("edit-adat");break;
    //case 'tipusok': module("edit-adat");break;
    case 'technikak': module("edit-adat");break;
    case 'anyagok': module("edit-adat");break;
    case 'fotosok': module("edit-adat");break;
    case '':
        // az oldal újratöltése nélkül itt futnak le az SQL módosítások    
        echo "        <iframe name=\"feldolgozo_oldal\" frameborder=\"0\" id=\"feldolgozo\"></iframe>\n";
        // Műalkotások
        echo "      <div class=\"alcim\">".ucfirst($szoveg[mualkotas])."ok</div>\n";
        listakeszit("mualkotasok","mu_azon","mu_cim","edit","mualkotas");
        // Alkotók
        echo "      <div class=\"alcim\">".ucfirst($szoveg[alkoto])."k</div>\n";
        listakeszit("alkotok","alk_azon",array("alk_nev","alk_szulev","-","alk_halalev"),"edit","alkoto");
        // Helyszínek
        echo "      <div class=\"alcim\">".ucfirst($szoveg[mezo_helyszin])."ek</div>\n";
        listakeszit("helyek","helynev_azon","helynev_nev","edit","hely");
        // Közterületek
        echo "      <div class=\"alcim\">".ucfirst($szoveg[mezo_kozterulet])."ek</div>\n";
        listakeszit("cimek","cim_azon","cim_nev","edit","cim");
        // Típusok
        /*echo "      <div class=\"alcim\">".ucfirst($szoveg[tipus])."ok</div>\n";
        listakeszit("tipusok","tipus_azon","tipus_nev","edit","tipus");
        */
        // Technikák
        echo "      <div class=\"alcim\">".ucfirst($szoveg[technikak])."</div>\n";
        listakeszit("technikak","technika_azon","technika_nev","edit","technika");
        // Anyagok
        echo "      <div class=\"alcim\">".ucfirst($szoveg[anyag])."ok</div>\n";
        listakeszit("anyagok","anyag_azon","anyag_nev","edit","anyag");
        // Fotósok
        echo "      <div class=\"alcim\">".ucfirst($szoveg[fotos])."ok</div>\n";
        listakeszit("fotosok","fotos_azon","fotos_nev","edit","fotos");
        break;
    default:
        echo "<div class=\"hiba\">Ez a szerkesztés nem értelmezhető</div>\n";
        contactme();
  }

?>      
      <div>
        <a href="javascript:history.back()" class="link"><img src="images/nyil_vissza.gif" width="13" height="7" border="0" align="absmiddle">
        <?php echo ucfirst($szoveg['vissza']);?></a>
      </div>

<?php
  // Legördülő lista készítése megadott táblanév rekordjaiból
  // - $tablanev: a tábla, ahonnan a lista készül
  // - $mezo_id: a listaelemek value értéke ebből a mezőből kerül ki
  // - $mezo_nev: a listaelemek képernyőn lévő tartalma ebből a mezőből kerül ki
  // - $do: a php feldolgozasahoz használt paraméterek
  function listakeszit($tablanev,$mezo_id,$mezo_nev,$do) {
    global $szoveg,$dir,$php;
    echo "      <form class=\"lista\" name=\"".$tablanev."\" method=\"get\" action=\"index.php\">\n";
    echo "        <input type=\"hidden\" name=\"do\" value=\"".$do."\">\n";
    echo "        <input type=\"hidden\" name=\"mode\" value=\"".$tablanev."\">\n";
    if (!in_array($tablanev,array('mualkotasok','alkotok'))) {
      echo "        <input type=\"hidden\" name=\"mezoid\" value=\"".$mezo_id."\">\n";
      echo "        <input type=\"hidden\" name=\"mezonev\" value=\"".$mezo_nev."\">\n";
    }
    echo "        <select name=\"id\" class=\"kereses\" onChange=\"torolgomb(this.form)\">\n";
    echo "          <option value=\"0\">".$szoveg[uj]."</option>\n";
    $mezo_nevnek = is_array($mezo_nev) ? $mezo_nev[0] : $mezo_nev;     
    $lekerdezes = lekerdezes("SELECT * FROM ".$tablanev." ORDER BY ".$mezo_nevnek);    
    if (ossz_rekord($lekerdezes)>0) {
      while ($rekord = olvas_asszociativ($lekerdezes)) {
        $tartalom = strlen($rekord[$mezo_nevnek])>40 ? substr($rekord[$mezo_nevnek],0,40)."..." : $rekord[$mezo_nevnek];
        if (is_array($mezo_nev)) {
          $mezo_maradek = " (";
          for ($i=1;$i<count($mezo_nev);$i++) {
            $mezo_maradek .= is_string($rekord[$mezo_nev[$i]]) ? $rekord[$mezo_nev[$i]] : $mezo_nev[$i]; 
          }
          $mezo_maradek .= ")";
        }
        echo "          <option value=\"".$rekord[$mezo_id]."\">".$tartalom."".$mezo_maradek."</option>\n";
      }
    }
    echo "        </select>\n";
    echo "        <input type=\"button\" onClick=\"this.form.submit()\" value=\"".ucfirst($szoveg[szerk])."\" class=\"keresesgomb\">\n";
    echo "        <input name=\"torlesgomb\" style=\"visibility:hidden;\" type=\"button\" onClick=\"torol(this.form)\" value=\"".ucfirst($szoveg[torles])."\" class=\"keresesgomb\"><br>\n";        
    echo "      </form>\n";
  }
?>
<script language="Javascript">
function torolgomb(urlap) {
  urlap.torlesgomb.style.visibility = (urlap.id.value != 0) ? 'visible' : 'hidden';
}
function torol(urlap) {
  if (confirm("Valóban törölni szeretné?")) {
    urlap['do'].value = 'delete';
    urlap.submit();
  }
}
</script>
